> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List live partners supporting a route

> Searches live partners that support a route defined by category, country, optional subdivision, fiat currency, crypto currency, and payment method or payment type. Provider scope rules:
- No Basic Auth and no `Meld-Account-Id`: results come from the global dataset.
- Basic Auth only: results are restricted to the authenticated identity's `providers` claim.
- `Meld-Account-Id` only: results are restricted to providers configured for that account.
- Both Basic Auth and `Meld-Account-Id`: results are restricted to the intersection of both provider sets.
- Explicit partner filters are intersected with the resolved provider scope.

Explicit `partner` filtering is intersected with the resolved provider scope.
If the effective provider scope contains no providers, this collection endpoint returns `200` with an empty result.



## OpenAPI

````yaml /openapi/networkpartner-20260203.json get /network-partner/supported/partners
openapi: 3.1.0
info:
  title: Network Partners
  version: '2026-02-03'
servers:
  - url: https://api.meld.io
security: []
paths:
  /network-partner/supported/partners:
    get:
      tags:
        - Supported
      summary: List live partners supporting a route
      description: >-
        Searches live partners that support a route defined by category,
        country, optional subdivision, fiat currency, crypto currency, and
        payment method or payment type. Provider scope rules:

        - No Basic Auth and no `Meld-Account-Id`: results come from the global
        dataset.

        - Basic Auth only: results are restricted to the authenticated
        identity's `providers` claim.

        - `Meld-Account-Id` only: results are restricted to providers configured
        for that account.

        - Both Basic Auth and `Meld-Account-Id`: results are restricted to the
        intersection of both provider sets.

        - Explicit partner filters are intersected with the resolved provider
        scope.


        Explicit `partner` filtering is intersected with the resolved provider
        scope.

        If the effective provider scope contains no providers, this collection
        endpoint returns `200` with an empty result.
      operationId: list-supported-partners
      parameters:
        - description: Provider category
          example: CRYPTO_ONRAMP
          name: category
          in: query
          schema:
            $ref: '#/components/schemas/Category'
        - description: Country code
          example: US
          name: country
          in: query
          schema:
            type: string
        - description: Crypto currency code
          example: BTC
          name: cryptoCurrency
          in: query
          schema:
            type: string
        - description: Fiat currency code
          example: USD
          name: fiatCurrency
          in: query
          schema:
            type: string
        - description: Partner id
          example: BANXA
          name: partner
          in: query
          schema:
            type: string
        - description: Canonical payment method code
          example: CREDIT_DEBIT_CARD
          name: paymentMethod
          in: query
          schema:
            type: string
        - description: Payment method type
          example: CARD
          name: paymentType
          in: query
          schema:
            $ref: '#/components/schemas/PaymentType'
        - description: Country subdivision code. Supported for US and CA only.
          example: US-NY
          name: subdivision
          in: query
          schema:
            type: string
        - description: >-
            Optional. Base58 encoded account id. Restricts results to providers
            configured for the account. If Basic Auth is also present, the
            effective scope is the intersection of authenticated providers and
            account providers.
          name: Meld-Account-Id
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Partner details
          content:
            application/json:
              examples:
                supportedPartners:
                  summary: Matching live partners
                  value:
                    - serviceProvider: BANXA
                      name: Banxa
                      status: LIVE
                      categories:
                        - CRYPTO_ONRAMP
                      capabilities:
                        - category: CRYPTO_ONRAMP
                          domains:
                            - PAYMENT
                          status: LIVE
                      url: https://banxa.com
                      logo:
                        dark: >-
                          https://cdn.meld.io/images-serviceprovider/BANXA/logo_dark.png
                        light: >-
                          https://cdn.meld.io/images-serviceprovider/BANXA/logo_light.png
                        darkShort: >-
                          https://cdn.meld.io/images-serviceprovider/BANXA/short_logo_dark.png
                        lightShort: >-
                          https://cdn.meld.io/images-serviceprovider/BANXA/short_logo_light.png
                      headless:
                        supported: false
                        kycMode: NONE
                        uiCustomization: false
                emptyScopedSupportedPartners:
                  summary: Scope intersection removes all matching partners
                  value: []
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NetworkPartnerInfo'
components:
  schemas:
    Category:
      type: string
      enum:
        - CRYPTO_ONRAMP
        - CRYPTO_OFFRAMP
        - CRYPTO_TRANSFER
        - BANK_LINKING
        - FIAT_PAYMENTS
        - CRYPTO_VIRTUAL_ACCOUNT_ONRAMP
        - CRYPTO_VIRTUAL_ACCOUNT_OFFRAMP
        - CUSTOMER_KYC
        - CRYPTO_ONRAMP_SWAP
        - CRYPTO_OFFRAMP_SWAP
      description: Categories of functionality offered by a service provider
    PaymentType:
      type: string
      enum:
        - BANK_TRANSFER
        - CARD
        - CASH
        - EXCHANGE
        - LOCAL
        - MOBILE_WALLET
      description: Enumeration of payment method types supported by the platform
    NetworkPartnerInfo:
      type: object
      description: Network partner detail representation
      properties:
        serviceProvider:
          type: string
          examples:
            - BANXA
          description: Service provider identifier
        name:
          type: string
          examples:
            - Banxa
          description: Provider name
        status:
          type: string
          examples:
            - LIVE
          description: Provider status
        categories:
          type: array
          items:
            $ref: '#/components/schemas/Category'
          description: Supported categories
        capabilities:
          type: array
          items:
            $ref: '#/components/schemas/NetworkPartnerCapability'
          description: Category-scoped capability metadata
        url:
          type: string
          examples:
            - https://example.com
          description: Provider website
        logo:
          type: object
          description: Provider logo variants
          allOf:
            - $ref: '#/components/schemas/PartnerLogo'
        headless:
          type: object
          description: Provider-level headless integration capability
          allOf:
            - $ref: '#/components/schemas/ProviderHeadlessSupport'
    NetworkPartnerCapability:
      type: object
      description: Category-scoped capability metadata for a network partner
      properties:
        category:
          type: string
          examples:
            - CRYPTO_ONRAMP
          description: Supported category
          allOf:
            - $ref: '#/components/schemas/Category'
        domains:
          type: array
          items:
            $ref: '#/components/schemas/DomainType'
          description: Supported domains for this category
        status:
          type: string
          examples:
            - LIVE
          description: Capability status
          allOf:
            - $ref: '#/components/schemas/ProviderStatus'
    PartnerLogo:
      type: object
      description: Provider logo variants
      properties:
        dark:
          type: string
          examples:
            - https://cdn.meld.io/images-serviceprovider/BANXA/logo_dark.png
          description: Dark full logo URL
        light:
          type: string
          examples:
            - https://cdn.meld.io/images-serviceprovider/BANXA/logo_light.png
          description: Light full logo URL
        darkShort:
          type: string
          examples:
            - >-
              https://cdn.meld.io/images-serviceprovider/BANXA/short_logo_dark.png
          description: Dark short logo URL
        lightShort:
          type: string
          examples:
            - >-
              https://cdn.meld.io/images-serviceprovider/BANXA/short_logo_light.png
          description: Light short logo URL
    ProviderHeadlessSupport:
      type: object
      description: Provider-level headless integration capability
      properties:
        supported:
          type: boolean
          description: Whether the provider supports headless flows
        kycMode:
          type: string
          description: How the provider expects KYC to be supplied for headless flows
          allOf:
            - $ref: '#/components/schemas/KycMode'
        uiCustomization:
          type: boolean
          description: Whether the provider exposes UI-customisable headless surfaces
    DomainType:
      type: string
      enum:
        - PAYMENT
        - FINANCIAL_ACCOUNT
      description: The domain in which a service provider operates
    ProviderStatus:
      type: string
      enum:
        - LIVE
        - RECENTLY_ADDED
        - BUILDING
        - DEPRECATED
      description: Integration status for a service provider
    KycMode:
      type: string
      enum:
        - ASYNC
        - SYNC
        - NONE
      description: How a provider expects KYC to be supplied for headless onramp orders

````